Ce script génère et distribue une paire de clés SSH (clé privée et clé publique).

## 1. Génération de la clé privée :
   - Cette étape crée une clé privée de type RSA destinée à être utilisée pour des opérations liées à s-backup.
   - La clé privée est enregistrée dans le chemin spécifié (`/root/id_rsa_sbackup`).
   - L'attribut `state: present` garantit que la clé privée est générée si elle n'existe pas déjà.

## 2. Copie de la clé publique dans gsbstore :
   - Cette étape copie la clé publique associée à la clé privée générée précédemment (`/root/id_rsa_sbackup.pub`).
   - La clé publique est déplacée vers un répertoire spécifié (`/var/www/html/gsbstore`) sur la machine distante.
   - Les permissions de la clé publique sont définies avec `mode: 0644`, et `remote_src: yes` indique que la source du fichier est sur la machine distante.

## 3. Copie de la clé privée dans gsbstore :
   - Cette étape copie la clé privée générée dans le même répertoire que la clé publique sur la machine distante (`/var/www/html/gsbstore`).
   - Les permissions de la clé privée sont également définies avec `mode: 0644`, et `remote_src: yes` indique que la source du fichier est sur la machine distante.

Ce script automatise la création d'une paire de clés SSH et déplace ces clés vers un emplacement spécifique (`/var/www/html/gsbstore`) sur une machine distante. Ces clés pourraient être utilisées dans des processus de sauvegarde sécurisés, garantissant l'authentification sécurisée lors des opérations liées à s-backup.
